Package com.io7m.coffeepick.runtime.format.xml

# Class FormatXML1BrandingHandler

java.lang.Object
com.io7m.coffeepick.runtime.format.xml.FormatXMLAbstractContentHandler<java.lang.Void,​RuntimeRepositoryBranding>
com.io7m.coffeepick.runtime.format.xml.FormatXML1BrandingHandler

All Implemented Interfaces:
  `FormatXMLContentHandlerType<RuntimeRepositoryBranding>`

    public final class FormatXML1BrandingHandler
    extends FormatXMLAbstractContentHandler<java.lang.Void,​RuntimeRepositoryBranding>

A content handler that can parse branding values.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FormatXML1BrandingHandler​(org.xml.sax.ext.Locator2 locator)` | Construct a handler.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `onChildResultReceived​(java.lang.Void value)` | A value was received from a child handler.
  `protected java.util.Optional<RuntimeRepositoryBranding>` | `onElementFinishDirectly​(java.lang.String namespace, java.lang.String name, java.lang.String qname)` |
  `protected void` | `onElementStartDirectly​(java.lang.String namespace, java.lang.String name, java.lang.String qname, org.xml.sax.Attributes attributes)` |
  `protected java.util.Map<java.lang.String,​java.util.function.Supplier<FormatXMLContentHandlerType<java.lang.Void>>>` | `onWantChildHandlers()` |
  `protected java.lang.String` | `onWantHandlerName()` |

  ### Methods inherited from class com.io7m.coffeepick.runtime.format.xml.FormatXMLAbstractContentHandler

  `finish, get, locator, map, onCharacters, onElementFinished, onElementStarted, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FormatXML1BrandingHandler

    public FormatXML1BrandingHandler​(org.xml.sax.ext.Locator2 locator)
    Construct a handler.
    Parameters:
      `locator` - The XML locator

- ## Method Details

  - ### onWantHandlerName

    protected java.lang.String onWantHandlerName()
    Specified by:
      `onWantHandlerName` in class `FormatXMLAbstractContentHandler<java.lang.Void,​RuntimeRepositoryBranding>`

  - ### onWantChildHandlers

    protected java.util.Map<java.lang.String,​java.util.function.Supplier<FormatXMLContentHandlerType<java.lang.Void>>> onWantChildHandlers()
    Specified by:
      `onWantChildHandlers` in class `FormatXMLAbstractContentHandler<java.lang.Void,​RuntimeRepositoryBranding>`

  - ### onElementFinishDirectly

    protected java.util.Optional<RuntimeRepositoryBranding> onElementFinishDirectly​(java.lang.String namespace, java.lang.String name, java.lang.String qname)
    Specified by:
      `onElementFinishDirectly` in class `FormatXMLAbstractContentHandler<java.lang.Void,​RuntimeRepositoryBranding>`

  - ### onElementStartDirectly

    protected void onElementStartDirectly​(java.lang.String namespace, java.lang.String name, java.lang.String qname, org.xml.sax.Attributes attributes)
    Specified by:
      `onElementStartDirectly` in class `FormatXMLAbstractContentHandler<java.lang.Void,​RuntimeRepositoryBranding>`

  - ### onChildResultReceived

    protected void onChildResultReceived​(java.lang.Void value)
    Description copied from class: `FormatXMLAbstractContentHandler`
    A value was received from a child handler.
    Specified by:
      `onChildResultReceived` in class `FormatXMLAbstractContentHandler<java.lang.Void,​RuntimeRepositoryBranding>`
    Parameters:
      `value` - The result value